
//============================================================================
//				DEFINITIONS
//============================================================================

// Port and Pin Config
#ifdef CFG_BUTTONS_FLIP_CONNECTOR
#define BUTTONS_PORT						PIND
#define BUTTONS_PIN_UP						0x08
#define BUTTONS_PIN_RIGHT					0x10
#define BUTTONS_PIN_DOWN					0x20
#define BUTTONS_PIN_LEFT					0x40	
#define BUTTON_OFFSET						0x08

#define BUTTONS_UP							0
#define BUTTONS_RIGHT						1
#define BUTTONS_DOWN						2
#define BUTTONS_LEFT						3

#define BUTTONS_UP_PRESSED        			0x0001
#define BUTTONS_UP_PRESSED_SHORT  			0x0002
#define BUTTONS_UP_PRESSED_LONG				0x0004
#define BUTTONS_UP_PRESSED_HOLD   			0x0008
#define BUTTONS_RIGHT_PRESSED        		0x0010
#define BUTTONS_RIGHT_PRESSED_SHORT  		0x0020
#define BUTTONS_RIGHT_PRESSED_LONG   		0x0040
#define BUTTONS_RIGHT_PRESSED_HOLD   		0x0080
#define BUTTONS_DOWN_PRESSED       			0x0100
#define BUTTONS_DOWN_PRESSED_SHORT 			0x0200
#define BUTTONS_DOWN_PRESSED_LONG  			0x0400
#define BUTTONS_DOWN_PRESSED_HOLD  			0x0800
#define BUTTONS_LEFT_PRESSED          		0x1000
#define BUTTONS_LEFT_PRESSED_SHORT    		0x2000
#define BUTTONS_LEFT_PRESSED_LONG     		0x4000
#define BUTTONS_LEFT_PRESSED_HOLD     		0x8000

#else /* CFG_BUTTONS_FLIP_CONNECTOR */
#define BUTTONS_PORT						PIND
#define BUTTONS_PIN_LEFT					0x08
#define BUTTONS_PIN_DOWN					0x10
#define BUTTONS_PIN_RIGHT					0x20
#define BUTTONS_PIN_UP						0x40	
#define BUTTON_OFFSET						0x08

#define BUTTONS_LEFT						0
#define BUTTONS_DOWN						1
#define BUTTONS_RIGHT						2
#define BUTTONS_UP							3

#define BUTTONS_LEFT_PRESSED        		0x0001
#define BUTTONS_LEFT_PRESSED_SHORT  		0x0002
#define BUTTONS_LEFT_PRESSED_LONG			0x0004
#define BUTTONS_LEFT_PRESSED_HOLD   		0x0008
#define BUTTONS_DOWN_PRESSED        		0x0010
#define BUTTONS_DOWN_PRESSED_SHORT  		0x0020
#define BUTTONS_DOWN_PRESSED_LONG   		0x0040
#define BUTTONS_DOWN_PRESSED_HOLD   		0x0080
#define BUTTONS_RIGHT_PRESSED       		0x0100
#define BUTTONS_RIGHT_PRESSED_SHORT 		0x0200
#define BUTTONS_RIGHT_PRESSED_LONG  		0x0400
#define BUTTONS_RIGHT_PRESSED_HOLD  		0x0800
#define BUTTONS_UP_PRESSED          		0x1000
#define BUTTONS_UP_PRESSED_SHORT    		0x2000
#define BUTTONS_UP_PRESSED_LONG     		0x4000
#define BUTTONS_UP_PRESSED_HOLD     		0x8000
#endif /* CFG_BUTTONS_FLIP_CONNECTOR */

// pressed short:  40.. 360ms @ 4ms-Task
// pressed long:  360..1000ms @ 4ms-Task
// pressed hold: 1000..oo     @ 4ms-Task
#define LIMIT_TOO_SHORT_AND_SHORT			10
#define LIMIT_SHORT_AND_LONG		      	90
#define LIMIT_HOLD					 		250

#define PRESSED								0
#define PRESSED_SHORT						1
#define PRESSED_LONG						2
#define PRESSED_HOLD						3


//============================================================================
//				GLOBAL VARIABLES
//============================================================================

extern volatile unsigned short Buttons_FlagByte;


//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

extern void Buttons_Check(void);


