
//============================================================================
//				HEADERS
//============================================================================

#include <avr/io.h>
#include "Buzzer.h"


//============================================================================
//				GLOBAL VARIABLES
//============================================================================

volatile unsigned char BuzzerTogglePeriod;


//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

void Buzzer_Toggle(void);
void Buzzer_SetToggle(unsigned char pPeriod);


//============================================================================
//				FUNCTIONS
//============================================================================

void Buzzer_RefreshToggle(void)
{
	static unsigned char ToggleCounter;

	if(BuzzerTogglePeriod)
	{
		ToggleCounter++;
		if(ToggleCounter % (1<<(BuzzerTogglePeriod-1)))
		{
			BUZZER_PORT &= ~BUZZER_PIN;
		}
		else
		{
			BUZZER_PORT |= BUZZER_PIN;
		}
	}
	else BUZZER_PORT &= ~BUZZER_PIN;	// set Pin High -> delta Voltage = 0
}

void Buzzer_SetToggle(unsigned char pPeriod)
{
	BuzzerTogglePeriod = pPeriod;
}

