

//============================================================================
//				HEADERS
//============================================================================

#include <avr/pgmspace.h>
#include "EvoBox.h"
#include "Fonts.h"


//============================================================================
//				GLOBAL VARIABLES
//============================================================================


//============================================================================
//				FLASH VARIABLES
//============================================================================

// --- Font Size 5x4 ---------------------------------------------------------
const unsigned char PROGMEM Font5x4[] = {	
	 0, 0, 0,		// space
 	 0,23, 0,		// !
	 3, 0, 3,		// "
	10,31,10,		// #
	22,31,13,		// $
	25, 4,19,		// %
	 4,14, 4,		// &
	 0, 3, 0,		// '
	 0,14,17, 		// (
	17,14, 0, 		// )
	 0, 1, 0,		// *	10
	 4,14, 4,		// +
	16, 8, 0,		// ,
	 4, 4, 4,		// -
	 0,16, 0,		// .
	24, 4, 3,		// /
	   
	31,17,31,		// 0
	18,31,16,		// 1
	29,21,23,		// 2
	17,21,31,		// 3
	 7, 4,31,		// 4	20
	23,21,29,		// 5
	31,21,29, 		// 6
  	 1, 1,31,		// 7
	31,21,31,		// 8
	23,21,31,		// 9
	 
	 0,10, 0,		// :
	16,10, 0,		// ;
	 4,10,17,		// <
	10,10,10,		// =
	17,10, 4,		// >	30
	 1,21, 3,		// ?
	31,23, 7,		// @
	 
	30, 5,30,		// Aa
	31,21,14,		// Bb
	14,17,17,		// Cc
	31,17,14,		// Dd
	31,21,17,		// Ee
	31, 5, 1,		// Ff
	14,17,29,		// Gg
	31, 4,31,		// Hh	40
	17,31,17,		// Ii
	17,17,15,		// Jj
	31, 4,27,		// Kk
	31,16,16,		// Ll
	31, 6,31,		// Mm
	31, 1,30,		// Nn
	14,17,14,		// Oo
	31, 5, 2,		// Pp
	14,17,30,		// Qq
	31, 5,26,		// Rr	50
	22,21,13,		// Ss
	 1,31, 1,		// Tt
	31,16,31,		// Uu
	15,16,15,		// Vv
	31,12,31,		// Ww
	27, 4,27,		// Xx
	 7,24, 7,		// Yy
	25,21,19,		// Zz
	
	 0,31,17,		// [
	 3, 4,24,		// Backslash	60
	17,31, 0,		// ]
	 2, 1, 2,		// ^
	16,16,16,		// _
	 2, 5, 2,		// ` -->  Degree/Grad
	  
					// keine Kleinbuchstaben
	
	 4,14,17,		// {
	 0,31, 0,		// |
	17,14, 4,		// }
	 2, 4, 2,		// ~
};


// --- Font Size 7 Normal ----------------------------------------------------
const unsigned char PROGMEM FontVerdana7[] = {
//						v--- last value: FontWidth of Symbol		
	  0,  0,  0,  0,  0,3,		// space
	 79,  0,  0,  0,  0,1,		// !
	  3,  0,  3,  0,  0,3,		// "
	 20,127, 20,127, 20,5,		// #
	 36, 42,127, 42, 18,5,		// $
	 99, 19,  8,100, 99,5,		// %
	 48, 74, 77, 50, 72,5,		// &
	  3,  0,  0,  0,  0,1,		// '
	 28, 34, 65,  0,  0,3, 		// (
	 65, 34, 28,  0,  0,3, 		// )
	 10,  4, 31,  4, 10,5,		// *	10
	  8,  8, 62,  8,  8,5,		// +
	 64, 48,  0,  0,  0,2,		// ,
	  8,  8,  8,  8,  0,4,		// -
	 64,  0,  0,  0,  0,1,		// .
	 96, 16,  8,  4,  3,5,		// /
	   
	 62, 65, 65, 62,  0,4,		// 0
	  0, 66,127, 64,  0,4,		// 1
	 98, 81, 73, 70,  0,4,		// 2
	 65, 73, 73, 54,  0,4, 		// 3
	 24, 20, 18,127,  0,4,		// 4	20
	 71, 69, 69, 57,  0,4,		// 5
	 60, 74, 73, 49,  0,4, 		// 6
  	  1,113,  9,  7,  0,4, 		// 7
	 54, 73, 73, 54,  0,4,		// 8
	  6, 73, 41, 30,  0,4,		// 9
	 
	 20,  0,  0,  0,  0,1,		// :
	 64, 52,  0,  0,  0,2,		// ;
	  8, 20, 34,  0,  0,3,		// <
	 20, 20, 20, 20,  0,4,		// =
	 34, 20,  8,  0,  0,3,		// >	30
	  2, 81,  9,  6,  0,4,		// ?
	 62, 65, 93, 85, 14,5,		// @
	 
	126, 17, 17,126,  0,4,		// A
	127, 73, 73, 54,  0,4,		// B
	 62, 65, 65, 34,  0,4,		// C
	127, 65, 65, 62,  0,4,		// D
	127, 73, 73, 65,  0,4,		// E
	127,  9,  9,  1,  0,4,		// F
	 62, 65, 73,121,  0,4,		// G
	127,  8,  8,127,  0,4,		// H	40
	 65,127, 65,  0,  0,3,		// I
	 65, 65, 63,  0,  0,3,		// J
	127,  8, 20, 99,  0,4,		// K
	127, 64, 64, 64,  0,4,		// L
	127,  2, 12,  2,127,5,		// M
	127,  4,  8, 16,127,5,		// N
	 62, 65, 65, 62,  0,4,		// O
	127,  9,  9,  6,  0,4,		// P
	 62, 65, 33, 94,  0,4,		// Q
	127,  9, 25,102,  0,4,		// R	50
	 70, 73, 73, 49,  0,4,		// S
	  1,  1,127,  1,  1,5,		// T
	 63, 64, 64, 63,  0,4,		// U
	 31, 32, 64, 32, 31,5,		// V
	 63, 64, 48, 64, 63,5,		// W
	 99, 20,  8, 20, 99,5,		// X
	  7,  8,112,  8,  7,5,		// Y
	 97, 81, 73, 69, 67,5,		// Z
	
	127, 65,  0,  0,  0,2,		// [
	  3,  4,  8, 16, 96,5,		// Backslash	60
	 65,127,  0,  0,  0,2,		// ]
	  4,  2,  1,  2,  4,5,		// ^
	 64, 64, 64, 64,  0,4,		// _
	  2,  5,  5,  2,  0,4,		// ` -->  Degree/Grad
	  
	 32, 84, 84,120,  0,4,		// a
	127, 68, 68, 56,  0,4,		// b
	 56, 68, 68, 68,  0,4,		// c
	 56, 68, 68,127,  0,4,		// d
	 56, 84, 84, 24,  0,4,		// e
	 16,126, 17,  0,  0,3,		// f	70
	  8, 84, 84, 60,  0,4,		// g
	127,  4,  4,120,  0,4,		// h
	122,  0,  0,  0,  0,1,		// i
	 72, 58,  0,  0,  0,2,		// j
	127, 16, 40, 68,  0,5,		// k
	 63, 64,  0,  0,  0,2,		// l
	124,  4,124,  4,120,5,		// m
	124,  4,  4,120,  0,4,		// n
	 56, 68, 68, 56,  0,4,		// o
	124, 20, 20,  8,  0,4,		// p	80
	  8, 20, 20,124,  0,4,		// q
	124,  8,  4,  0,  0,3,		// r
	 72, 84, 84, 36,  0,4,		// s
	  4, 63, 68,  0,  0,3,		// t
	 60, 64, 64, 60,  0,4,		// u
	 28, 32, 64, 32, 28,5,		// v
	 60, 64, 32, 64, 60,5,		// w
	 68, 40, 16, 40, 68,5,		// x
	 12, 80, 80, 60,  0,4,		// y
	100, 84, 84, 76,  0,4,		// z	90
	
	  8, 54, 65,  0,  0,3,		// {
	127,  0,  0,  0,  0,1,		// |
	 65, 54,  8,  0,  0,3,		// }
	 16,  8, 16,  8,  0,4,		// ~ 
	 
	  0,  0,  0,  0,  0,4,		// Blanko
	127, 62, 28,  8,  0,4,		// Arrow
	  8, 28, 42,  8, 14,5,		// ELM327 0x0D CR
	 62, 32,  0, 62, 10,5,		// ELM327 0x0A LF
};


// --- Font Size 7 Bold ------------------------------------------------------
const unsigned char PROGMEM FontVerdana7Bold[] = {
//						        v--- last value: FontWidth of Symbol		
	  0,  0,  0,  0,  0,  0,  0,3,		// space
	 95, 95,  0,  0,  0,  0,  0,2,		// !
	  7,  7,  0,  7,  7,  0,  0,5,		// "
	 20,127,127, 20,127,127, 20,7,		// #
	 36, 42,127,127, 42, 18,  0,6,		// $
	 99,115, 56, 28, 14,103, 99,7,		// %
	 48,122, 77, 77, 58, 48, 72,7,		// &
	  7,  7,  0,  0,  0,  0,  0,2,		// '
	 28, 62, 99, 65,  0,  0,  0,4, 		// (
	 65, 99, 62, 28,  0,  0,  0,4, 		// )
	 27, 14, 31, 31, 14, 27,  0,6,		// *	10
	  8,  8, 62, 62,  8,  8,  0,6,		// +
	 64,112, 48,  0,  0,  0,  0,3,		// ,
	  8,  8,  8,  8,  8,  0,  0,5,		// -
	 96, 96,  0,  0,  0,  0,  0,2,		// .
	 96,112, 56, 28, 14,  7,  3,7,		// /
	   
	 62,127, 65, 65,127, 62,  0,6,		// 0
	  0, 66,127,127, 64,  0,  0,6,		// 1
	 66, 99,113, 89, 79, 70,  0,6,		// 2
	 34, 99, 73, 73,127, 54,  0,6, 		// 3
	 24, 20, 18,127,127, 16,  0,6,		// 4	20
	 39,103, 69, 69,125, 57,  0,6,		// 5
	 60,126, 75, 73,121, 48,  0,6, 		// 6
  	  1,  1,113,125, 15,  3,  0,6, 		// 7
	 54,127, 73, 73,127, 54,  0,6,		// 8
	  6, 79, 73,105, 63, 30,  0,6,		// 9
	 
	 54, 54,  0,  0,  0,  0,  0,2,		// :
	 64,118, 54,  0,  0,  0,  0,3,		// ;
	  8, 28, 54, 99,  0,  0,  0,4,		// <
	 20, 20, 20, 20, 20,  0,  0,5,		// =
	 99, 54, 28,  8,  0,  0,  0,4,		// >	30
	  1, 81, 89, 15,  6,  0,  0,5,		// ?
	 62,127, 65, 93, 93, 85, 14,7,		// @
	 
	126,127, 17, 17,127,126,  0,6,		// A
	127,127, 73, 73,127, 54,  0,6,		// B
	 62,127, 65, 65, 99, 34,  0,6,		// C
	127,127, 65, 65,127, 62,  0,6,		// D
	127,127, 73, 73, 65,  0,  0,5,		// E
	127,127,  9,  9,  1,  0,  0,5,		// F
	 62,127, 65, 73,123,122,  0,6,		// G
	127,127,  8,  8,127,127,  0,6,		// H	40
	 65,127,127, 65,  0,  0,  0,4,		// I
	 65, 65,127, 63,  0,  0,  0,4,		// J
	127,127, 28, 54, 99, 65,  0,6,		// K
	127,127, 64, 64, 64,  0,  0,5,		// L
	127,127,  2, 12,  2,127,127,7,		// M
	127,127,  6, 12, 24,127,127,7,		// N
	 62,127, 65, 65,127, 62,  0,6,		// O
	127,127,  9,  9, 15,  6,  0,6,		// P
	 62,127, 65, 81, 47, 94,  0,6,		// Q
	127,127, 25, 57,111, 70,  0,6,		// R	50
	 38,111, 77, 89,123, 50,  0,6,		// S
	  1,  1,127,127,  1,  1,  0,6,		// T
	 63,127, 64, 64,127, 63,  0,6,		// U
	 15, 31, 48, 96, 48, 31, 15,7,		// V
	 63,127, 96, 56, 96,127, 63,7,		// W
	 99,119, 28,  8, 28,119, 99,7,		// X
	  7, 15,120,120, 15,  7,  0,6,		// Y
	 97,113, 89, 77, 71, 67,  0,6,		// Z
	
	127,127, 65,  0,  0,  0,  0,3,		// [
	  3,  7, 14, 28, 56,112, 96,7,		// Backslash	60
	 65,127,127,  0,  0,  0,  0,3,		// ]
	 12,  6,  3,  6, 12,  0,  0,5,		// ^
	 64, 64, 64, 64, 64,  0,  0,5,		// _
	  1,  3,  2,  0,  0,  0,  0,3,		// `
	  
	 32,116, 84, 84,124,120,  0,6,		// a
	127,127, 68, 68,124, 56,  0,6,		// b
	 56,124, 68, 68, 68,  0,  0,5,		// c
	 56,124, 68, 68,127,127,  0,6,		// d
	 56,124, 84, 84, 92, 24,  0,6,		// e
	 16,126,127, 17,  0,  0,  0,4,		// f	70
	  8, 92, 84, 84,124, 60,  0,6,		// g
	127,127,  4,  4,124,120,  0,6,		// h
	122,122,  0,  0,  0,  0,  0,2,		// i
	 72,122, 58,  0,  0,  0,  0,3,		// j
	127,127, 56,108, 70,  0,  0,5,		// k
	 63,127, 64,  0,  0,  0,  0,3,		// l
	124,124,  4,124,  4,124,120,7,		// m
	124,124,  4,  4,124,120,  0,6,		// n
	 56,124, 68, 68,124, 56,  0,6,		// o
	124,124, 20, 20, 28,  8,  0,6,		// p	80
	  8, 28, 20, 20,124,124,  0,6,		// q
	124,124,  8,  4,  0,  0,  0,4,		// r
	 72, 92, 84,116, 36,  0,  0,5,		// s
	  4, 63,127, 68,  0,  0,  0,4,		// t
	 60,124, 64, 64,124, 60,  0,6,		// u
	 28, 60, 96, 96, 60, 28,  0,6,		// v
	 60,124, 96, 48, 96,124, 60,7,		// w
	 68,108, 56, 56,108, 68,  0,6,		// x
	 12, 92, 80, 80,124, 60,  0,6,		// y
	 68,100,116, 92, 76,  0,  0,5,		// z	90
	
	  8, 62,119, 65,  0,  0,  0,4,		// {
	127,127,  0,  0,  0,  0,  0,2,		// |
	 65,119, 62,  8,  0,  0,  0,4,		// }
	 24, 12, 12, 24, 24, 12,  0,6,		// ~ 
	 
	  0,  0,  0,  0,  0,  0,  0,6,		// Blanko Ziffer
	  0,  0,  0,  0,  0,  0,  0,7,		// Blanko Haken
	 16, 48, 96, 48, 24, 12,  6,7		// OK-Haken
};

// --- Font "Zero Twos" Size 7 Normal ------------------------------------------------------
const unsigned char PROGMEM FontZero7[] = {
	62,	65,	65,	65,	65,	65,	62,		// 0	
	0,	64,	65,	127,64,	64,	0,		// 1
	112,73,	73,	73,	73,	73,	70,		// 2
	65,	73,	73,	73,	73,	73,	54,		// 3
	7,	8,	8,	8,	8,	126,8,		// 4
	79,	73,	73,	73,	73,	73,	48,		// 5
	62,	73,	73,	73,	73,	73,	48,		// 6
	1,	65,	33,	17,	9,	5,	3,		// 7
	54,	73,	73,	73,	73,	73,	54,		// 8
	6,	73,	73,	73,	73,	73,	62,		// 9
	0,  0,  0,  0,  0,  0,  0,		// SPACE
	96,	96,	0,	0,	0,	0,	0,		// .
	80,	48,	0,	0,	0,	0,	0,		// ,
	0,	0,	8,	8,	8,	8,	8,		// -
};

// --- Font "Zero Twos" Size 7 Bold ------------------------------------------------------
const unsigned char PROGMEM FontZero7Bold[] = {
	62,	127,65,	65,	65,	65,	127,62,	// 0	
	0,	64,	65,	127,127,64,	64,	0,	// 1	
	112,121,73,	73,	73,	73,	79,	70,	// 2
	65,	73,	73,	73,	73,	73,	127,54,	// 3
	7,	15,	8,	8,	8,	126,126,8,	// 4
	79,	79,	73,	73,	73,	73,	121,48,	// 5
	62,	127,73,	73,	73,	73,	121,48,	// 6
	1,	65,	97,	49,	25,	13,	7,	3,	// 7
	54,	127,73,	73,	73,	73,	127,54,	// 8
	6,	79,	73,	73,	73,	73,	127,62,	// 9
	0,  0,  0,  0,  0,  0,  0,  0,  // SPACE
	96,	96,	0,	0,	0,	0,	0,	0,	// .
	80,	112,48,	0,	0,	0,	0,	0,	// ,
	0,	0,	0,	8,	8,	8,	8,	8,	// -
};


// --- Font "Zero Twos" Size 14 ------------------------------------------------------
const unsigned char PROGMEM FontZero14[] = {
#ifdef CFG_GAUGES_DIGITAL_ENABLE
	252,254,254,14,	14,	14,	14,	14,	14,	14,	14,	254,254,252,
	63,	127,127,112,112,112,112,112,112,112,112,127,127,63,		// 0
	0,	0,	0,	0,	14,	14,	254,254,254,0,	0,	0,	0,	0,	
	0,	0,	0,	112,112,112,127,127,127,112,112,112,0,	0,		// 1
	128,206,206,206,206,206,206,206,206,206,206,254,254,252,
	127,127,127,113,113,113,113,113,113,113,113,113,113,112,	// 2
	14,	206,206,206,206,206,206,206,206,206,206,254,254,124,
	112,113,113,113,113,113,113,113,113,113,113,127,127,62,		// 3
	254,254,254,192,192,192,192,192,192,252,252,252,192,192,
	0,	1,	1,	1,	1,	1,	1,	1,	1,	127,127,127,1,	1,		// 4
	254,254,254,206,206,206,206,206,206,206,206,206,206,128,
	113,113,113,113,113,113,113,113,113,113,113,127,127,63,		// 5
	252,254,254,206,206,206,206,206,206,206,206,206,206,128,
	63,	127,127,113,113,113,113,113,113,113,113,127,127,63,		// 6
	14,	14,	14,	14,	14,	14,	14,	142,206,238,254,126,62,	30,	
	64,	96,	112,120,60,	30,	15,	7,	3,	1,	0,	0,	0,	0,		// 7
	124,254,254,206,206,206,206,206,206,206,206,254,254,124,
	62,	127,127,113,113,113,113,113,113,113,113,127,127,62,		// 8
	252,254,254,206,206,206,206,206,206,206,206,254,254,252,
	0,	113,113,113,113,113,113,113,113,113,113,127,127,63,		// 9
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,		// SPACE
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	
	48,	120,120,48,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,		// .
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	
	88,	124,60,	24,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,		// ,
#else
	0x00
#endif
};

// --- Font "Zero Twos" Size 22 ------------------------------------------------------
const unsigned char PROGMEM FontZero22[] = {
#ifdef CFG_GAUGES_DIGITAL_ENABLE
	248,252,254,254,30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	254,254,252,248,
	255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,
	31,	63,	127,127,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 0
	0,	0,	0,	0,	0,	0,	0,	14,	14,	254,254,254,254,0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	120,120,120,120,127,127,127,127,120,120,120,120,0,	0,	0,	0,	0,	// 1
	0,	0,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	254,252,248,
	240,248,252,252,60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	63,	31,	15,
	127,127,127,127,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,// 2
	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	254,254,252,248,
	0,	0,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	255,255,231,195,
	120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 3
	254,254,254,254,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	248,248,248,248,0,	0,	0,
	15,	31,	63,	63,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	255,255,255,255,60,	60,	60,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	127,127,127,127,0,	0,	0,	// 4
	254,254,254,254,30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	0,	0,
	63,	63,	63,	63,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	252,252,248,240,
	120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 5
	248,252,254,254,30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	0,	0,
	255,255,255,255,60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	252,252,248,240,
	31,	63,	127,127,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 6
	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	158,222,254,254,254,254,126,
	0,	0,	0,	0,	0,	0,	0,	128,192,224,240,248,252,126,63,	31,	15,	7,	3,	1,	0,	0,
	64,	96,	112,120,124,126,63,	31,	15,	7,	3,	1,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// 7
	248,252,254,254,30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	254,254,252,248,
	231,255,255,255,60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	255,255,255,231,
	31,	63,	127,127,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 8
	248,252,254,254,30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	30,	254,254,252,248,
	15,	31,	63,	63,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	60,	255,255,255,255,
	0,	0,	120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,127,127,63,	31,	// 9
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// SPACE
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	60,	126,126,126,126,60,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// .
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	128,128,128,128,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	7,	79,	111,127,63,	31,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// ,
#else
	0x00
#endif
};

// --- Font "Zero Twos" Size 30 ------------------------------------------------------
const unsigned char PROGMEM FontZero30[] = {
#ifdef CFG_GAUGES_DIGITAL_ENABLE
	224,248,252,252,254,254,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,252,252,248,224,
	255,255,255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,255,255,
	255,255,255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,255,255,
	7,	31,	63,	63,	127,127,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 0
	0,	0,	0,	0,	0,	0,	0,	0,	0,	126,126,126,126,254,254,254,254,254,254,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	255,255,255,255,255,255,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	126,126,126,126,126,126,127,127,127,127,127,127,126,126,126,126,126,126,0,	0,	0,	0,	0,	// 1
	0,	0,	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,252,252,248,224,
	0,	128,192,192,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,255,255,255,255,255,127,
	254,255,255,255,255,255,7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	3,	3,	1,	0,
	127,127,127,127,127,127,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,// 2
	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,252,252,248,224,
	0,	0,	224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,255,255,255,255,127,63,
	0,	0,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,254,252,
	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 3
	254,254,254,254,254,254,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	248,248,248,248,248,248,0,	0,	0,	0,
	127,255,255,255,255,255,224,224,224,224,224,224,224,224,224,224,224,224,224,224,255,255,255,255,255,255,224,224,224,224,
	0,	1,	3,	3,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,255,255,7,	7,	7,	7,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	127,127,127,127,127,127,0,	0,	0,	0,	// 4
	254,254,254,254,254,254,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,0,	0,
	255,255,255,255,255,255,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,192,192,128,0,
	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,255,254,
	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 5
	224,248,252,252,254,254,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,0,	0,
	255,255,255,255,255,255,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,192,192,128,0,
	255,255,255,255,255,255,7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,255,254,
	7,	31,	63,	63,	127,127,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 6
	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,254,254,254,254,254,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	128,192,224,240,248,252,254,255,255,127,63,	31,	15,	7,	3,
	0,	0,	0,	0,	0,	0,	0,	128,192,224,240,248,252,254,255,255,127,63,	31,	15,	7,	3,	1,	0,	0,	0,	0,	0,	0,	0,
	64,	96,	112,120,124,126,127,127,127,63,	31,	15,	7,	3,	1,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// 7
	224,248,252,252,254,254,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,252,252,248,224,
	63,	127,255,255,255,255,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,255,255,255,255,127,63,
	252,254,255,255,255,255,7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,254,252,
	7,	31,	63,	63,	127,127,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 8
	224,248,252,252,254,254,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,254,254,252,252,248,224,
	127,255,255,255,255,255,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,255,255,255,255,255,255,
	0,	1,	3,	3,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	7,	255,255,255,255,255,255,
	0,	0,	126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,127,127,63,	63,	31,	7,	// 9
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	128,128,128,128,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	30,	63,	127,127,127,127,63,	30,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// .
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	192,224,240,240,240,240,224,192,0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,
	3,	71,	103,127,127,63,	31,	7,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	0,	// ,
#else
	0x00
#endif
};
