
//============================================================================
//				HEADERS
//============================================================================

#include <avr/io.h>


//============================================================================
//				DEFINITIONS
//============================================================================

#define LED_PORT				PORTC
#define LED_LCD					0x80
#define OFF						0x00

#define LCD_MAX_BRIGHTNESS		4

#define RED						0
#define RED_DARK				1
#define RED_ORANGE				2
#define ORANGE					3
#define ORANGE_YELLOW			4
#define YELLOW_FULL				5
#define YELLOW					6
#define YELLOW_DARK				7
#define YELLOW_LIGHT			8
#define YELLOW_GRELLOW			9
#define GRELLOW					10
#define GRELLOW_GREEN			11
#define GREEN					12
#define GREEN_DARK				13
#define GREEN_LIGHT				14
#define GREEN_GRYAN				15
#define GRYAN					16
#define GRYAN_CYAN				17
#define CYAN_FULL				18
#define CYAN					19
#define CYAN_DARK				20
#define CYAN_LIGHT				21
#define CYAN_BLUAN				22
#define BLUAN					23
#define BLUAN_BLUE				24
#define BLUE					25
#define BLUE_DARK				26
#define BLUE_LIGHT				27
#define BLUE_BLILA				28
#define BLILA					29
#define BLILA_LILA				30
#define LILA_FULL				31
#define LILA					32
#define LILA_DARK				33
#define LILA_LIGHT				34
#define	LILA_PINK				35
#define PINK					36
#define PINK_RED				37
#define RED_LIGHT				38
#define WHITE					39
#define WHITE_DARK				40

#define COLOR_NUMBERS			41
#define COLOR_BITS				4

#define RECT					0
#define PEAK					1


// --- Macros ----------------------------------------------------------------

#define Led_SetRGBLedColor(pColor)		Led_Color = pColor
#define Led_SetLCDBacklight(brightness)	Led_LCDBrightness = brightness


//============================================================================
//				GLOBAL VARIABLES
//============================================================================

extern volatile unsigned char Led_Color;
extern volatile unsigned char Led_LCDBrightness;


//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

extern void Led_RefreshToggle(void);
extern void Led_SetToggle(unsigned char pPeriod, unsigned char pStyle);
extern void Led_RefreshLCDBacklight(void);
extern void Led_RefreshRGBLedColor(void);

