// Menu.h

//============================================================================
//				HEADERS
//============================================================================


//============================================================================
//				DEFINITIONS
//============================================================================

// Menus
#define MAIN_MENU					10
#define MAIN_MENU_GO_GAUGES_DIGITAL	0
#define MAIN_MENU_GO_GAUGES_ANALOG	1
#define MAIN_MENU_GO_SENSORS		2
#define MAIN_MENU_GO_GRAPHS			3
#define MAIN_MENU_GO_STATISTICS		4
#define MAIN_MENU_GO_SPRINT			5
#define MAIN_MENU_GO_DIAGNOSE		6
#define MAIN_MENU_GO_OPTIONS		7
#define MAIN_MENU_SIZE				8

#define GAUGES_DIGITAL				20
#define GAUGES_ANALOG				30
#define SENSORS						40
#define GRAPHS						50
#define STATISTICS					60
#define SPRINT						70
#define DIAGNOSE					80
#define OPTIONS						90


// Draw Simple Lines + Show Menus
#define WITHOUT_LINES				0
#define WITH_LINES					1
#define NOT_INVERT					0
#define INVERT						1

// Border lines of MenuPoints
#define CLEAR						0x00
#define FULL						0xFF
#define	DOTTED						0xAA
#define DASHED_SHORT				0x66
#define DASHED_LONG					0xEE
#define DASH_DOTTED					0xBE

// Desktop Icons
#define DESKTOP_RUNTIME				0
#define DESKTOP_SNAKE				1
#define DESKTOP_TETRIS				2
#define DESKTOP_OPTIONS_MENU		3


// Symbols
#define SYMBOL_BLUETOOTH			0
#define SYMBOL_MOTOR_RPM			1

// Buttons
#define MENU_UP						( (Buttons_FlagByte & BUTTONS_UP_PRESSED_SHORT)    || \
									  (Buttons_FlagByte & BUTTONS_UP_PRESSED_LONG) )
#define MENU_DOWN					( (Buttons_FlagByte & BUTTONS_DOWN_PRESSED_SHORT)  || \
									  (Buttons_FlagByte & BUTTONS_DOWN_PRESSED_LONG) )
#define MENU_LEFT					( (Buttons_FlagByte & BUTTONS_LEFT_PRESSED_SHORT)  || \
									  (Buttons_FlagByte & BUTTONS_LEFT_PRESSED_LONG) )
#define MENU_RIGHT					( (Buttons_FlagByte & BUTTONS_RIGHT_PRESSED_SHORT) || \
									  (Buttons_FlagByte & BUTTONS_RIGHT_PRESSED_LONG) )

#define MENU_ENTER					( (Buttons_FlagByte & BUTTONS_UP_PRESSED_HOLD)   || \
									  (Buttons_FlagByte & BUTTONS_DOWN_PRESSED_HOLD) || \
									  (Buttons_FlagByte & BUTTONS_LEFT_PRESSED_HOLD) || \
									  (Buttons_FlagByte & BUTTONS_RIGHT_PRESSED_HOLD) )


//============================================================================
//				GLOBAL VARIABLES
//============================================================================



//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

extern void LCDStartTheme(void);
extern unsigned char MainMenu(void);
extern void Menu_WriteEeprom(unsigned char pMenuPoint);
