
// OBD.h

//============================================================================
//				HEADERS
//============================================================================


//============================================================================
//				DEFINITIONS
//============================================================================

#define MODE_1_SHOW_CURRENT_DATA		0x01
#define MODE_2_SHOW_FREEZE_FRAME_DATA	0x02
#define MODE_3_SHOW_DTC					0x03
#define MODE_4_CLEAR_DTC_AND_DATA		0x04
#define MODE_5_TEST_RESULT_O2_SENSOR	0x05
#define MODE_6_TEST_RESULT_OTHER_COMP	0x06
#define MODE_7_SHOW_PENDING_DTC			0x07
#define MODE_8_SPECIAL_CONTROL_MODE		0x08
#define MODE_9_REQUEST_VEHICLE_INFO		0x09
#define MODE_A_PERMANENT_DTC			0x0A
#define MODE_F_SHOW_ELM_AT_DATA			0x0F
#define MODE_POSITIVE_RESPONSE			0x40

#define PID_00_SUPPORTED_PIDS			0x00	// OK
#define PID_01_DTC_STATUS				0x01	// OK
#define PID_02_FREEZE_DTC				0x02
#define PID_03_FUEL_SYSTEM_STATUS		0x03	// OK
#define PID_04_CALC_ENGINE_LOAD			0x04	// OK
#define PID_05_ENGINE_COOLANT_TEMP		0x05	// OK
#define PID_06_FUEL_SHORT_TRIM_BANK1	0x06	// OK
#define PID_07_FUEL_LONG_TRIM_BANK1		0x07	// OK
#define PID_08_FUEL_SHORT_TRIM_BANK2	0x08
#define PID_09_FUEL_LONG_TRIM_BANK2		0x09
#define PID_0A_FUEL_PRESS				0x0A
#define PID_0B_INTAKE_PRESS				0x0B	// OK
#define PID_0C_ENGINE_RPM				0x0C	// OK
#define PID_0D_VEHICLE_SPEED			0x0D	// OK
#define PID_0E_TIMING_ADVANCE			0x0E	// OK
#define PID_0F_INTAKE_TEMP				0x0F	// OK
#define PID_10_MASS_AIR_FLOW			0x10	// OK
#define PID_11_THROTTLE_POS				0x11	// OK
#define PID_12_SECOND_AIR_STATUS		0x12
#define PID_13_O2_SENSORS_PRESENT		0x13	// OK
#define PID_14_O2_BANK1_SENSOR1			0x14	// OK
#define PID_15_O2_BANK1_SENSOR2			0x15	// OK
#define PID_16_O2_BANK1_SENSOR3			0x16
#define PID_17_O2_BANK1_SENSOR4			0x17
#define PID_18_O2_BANK2_SENSOR1			0x18
#define PID_19_O2_BANK2_SENSOR2			0x19
#define PID_1A_O2_BANK2_SENSOR3			0x1A
#define PID_1B_O2_BANK2_SENSOR4			0x1B
#define PID_1C_OBD_STANDARDS			0x1C	// OK
#define PID_1D_O2_SENSORS_PRESENT2		0x1D
#define PID_1E_AUX_INPUT_STATUS			0x1E
#define PID_1F_TIME_SINCE_ENGINE_START	0x1F
#define PID_20_SUPPORTED_PIDS_21_40		0x20

#define PID_21_DISTANCE_SINCE_MIL		0x21
#define PID_22_FUEL_RAIL_PRESS			0x22
#define PID_23_FUEL_RAIL_PRESS_DIESEL	0x23
#define PID_24_O2_SENSOR1_LAMBDA		0x24
#define PID_25_O2_SENSOR2_LAMBDA		0x25
#define PID_26_O2_SENSOR3_LAMBDA		0x26
#define PID_27_O2_SENSOR4_LAMBDA		0x27
#define PID_28_O2_SENSOR5_LAMBDA		0x28
#define PID_29_O2_SENSOR6_LAMBDA		0x29
#define PID_2A_O2_SENSOR7_LAMBDA		0x2A
#define PID_2B_O2_SENSOR8_LAMBDA		0x2B
#define PID_2C_EXHAUST_GAS_RECIRC		0x2C
#define PID_2D_EXHAUST_GAS_RECIRC_ERROR	0x2D
#define PID_2E_EVAPORATIVE_PURGE		0x2E
#define PID_2F_FUEL_LEVEL_INPUT			0x2F
#define PID_30_WARMUPS_SINCE_DTC_CLEARED 0x30
#define PID_31_DISTANCE_SINCE_DTC_CLEARED 0x31
#define PID_32_VAPOR_PRESS				0x32
#define PID_33_BAROMETRIC_PRESS			0x33
#define PID_34_O2_SENSOR1_LAMBDA2		0x34
#define PID_35_O2_SENSOR2_LAMBDA2		0x35
#define PID_36_O2_SENSOR3_LAMBDA2		0x36
#define PID_37_O2_SENSOR4_LAMBDA2		0x37
#define PID_38_O2_SENSOR5_LAMBDA2		0x38
#define PID_39_O2_SENSOR6_LAMBDA2		0x39
#define PID_3A_O2_SENSOR7_LAMBDA2		0x3A
#define PID_3B_O2_SENSOR8_LAMBDA2		0x3B
#define PID_3C_CAT_TEMP_BANK1_SENSOR1	0x3C
#define PID_3D_CAT_TEMP_BANK2_SENSOR1	0x3D
#define PID_3E_CAT_TEMP_BANK1_SENSOR2	0x3E
#define PID_3F_CAT_TEMP_BANK2_SENSOR2	0x3F
#define PID_40_SUPPORTED_PIDS_41_60		0x40

#define PID_41_STATUS_THIS_DRIVE_CYCLE	0x41
#define PID_42_CONTROL_MODULE_VOLTAGE	0x42
#define PID_43_ABS_ENGINE_LOAD			0x43
#define PID_44_EQUIVALENCE_RATIO		0x44
#define PID_45_REL_THROTTLE_POS			0x45
#define PID_46_AMBIENT_AIR_TEMP			0x46
#define PID_47_ABS_THROTTLE_POS_B		0x47
#define PID_48_ABS_THROTTLE_POS_C		0x48
#define PID_49_ACC_PEDAL_POS_D			0x49
#define PID_4A_ACC_PEDAL_POS_E			0x4A
#define PID_4B_ACC_PEDAL_POS_F			0x4B
#define PID_4C_THROTTLE_ACTUATOR		0x4C
#define PID_4D_TIME_SINCE_MIL			0x4D
#define PID_4E_TIME_SINCE_DTC_CLEARED	0x4E
#define PID_4F_UNUSED_1					0x4F
#define PID_50_UNUSED_2					0x50
#define PID_51_FUEL_TYPE				0x51
#define PID_52_FUEL_ETHANOL_PERCENT		0x52
#define PID_53_							0x53
#define PID_54_							0x54
#define PID_55_							0x55
#define PID_56_							0x56
#define PID_57_							0x57
#define PID_58_							0x58
#define PID_59_							0x59
#define PID_5A_							0x5A
#define PID_5B_							0x5B
#define PID_5C_							0x5C
#define PID_5D_							0x5D
#define PID_5E_							0x5E
#define PID_5F_							0x5F
#define PID_60_							0x60
#define PID_80_ELM_READ_VOLTAGE			0x80


#define OBD_CYCLE_MAIN_MENU				0
#define OBD_CYCLE_GAUGES_DIGITAL		1
#define OBD_CYCLE_GAUGES_ANALOG			2
#define OBD_CYCLE_SENSORS_MOTOR			3
#define OBD_CYCLE_SENSORS_LUFT			4
#define OBD_CYCLE_SENSORS_BATTERY		5
#define OBD_CYCLE_GRAPHS				6
#define OBD_CYCLE_STATISTICS			7
#define OBD_CYCLE_SPRINT				8
#define OBD_CYCLE_DIAGNOSE				9
#define OBD_CYCLE_OPTIONS				10
#define OBD_CYCLE_MENU_SIZE				11

#define OBD_CYCLE_CHECK_SIZE			40


//============================================================================
//				GLOBAL VARIABLES
//============================================================================

extern volatile unsigned char OBD_CycleCounter;
extern volatile unsigned char OBD_MenuCycle;
extern unsigned short ErrorSpeed,ErrorRpm,ErrorETemp,ErrorITemp,ErrorFuelS,ErrorDTCs;
extern unsigned short OBD_CycleCompleteCounter;
extern unsigned char OBD_CycleCheck[OBD_CYCLE_MENU_SIZE][OBD_CYCLE_CHECK_SIZE];


//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

extern void OBD_AnalyseOBDCmd(void);
extern void OBD_CyclicUpdate(void);
extern void OBD_MenuUpdate(unsigned char pMenuCycle);




