
//============================================================================
//				HEADERS
//============================================================================


//============================================================================
//				DEFINITIONS
//============================================================================

#define STATISTIC_MEMORY_SIZE	16

// Time+Date
#define HOUR					0
#define MIN						1
#define SEC						2
#define DAY						0
#define MONTH					1
#define YEAR					2

// Average-Filter
#define AVG_FILTER_SPEED		1000L
#define AVG_FILTER_VERBRAUCH	1000L

// Verbrauch
#define FUEL_REF_VERBRAUCH		10.0f	// liter/hour
#define FUEL_REF_RPM			3000.0f	// 1/min
#define FUEL_REF_LOAD			50.0f	// % Load


//============================================================================
//				GLOBAL VARIABLES
//============================================================================

/****************************** SENSOR VALUES ******************************/
// first value in array is the current measurement
// second value in array is the last one in previous measurement

// MotorRuntime
extern unsigned short Sensor_MotorRuntime[2],		SensorCalc_MotorRuntimeTotal[2];

// Motor
extern unsigned short Sensor_MotorRpm[2],			SensorCalc_MotorRpmMax[2];
extern unsigned short SensorCalc_MotorRpm_ShiftFlash[2][6];					
								  														
extern unsigned short Sensor_MotorTorque[2],		SensorCalc_MotorTorqueMax[2];
extern const unsigned short SensorCalc_MotorTorque_Tab[2][19];

extern unsigned short Sensor_MotorPower[2],			SensorCalc_MotorPowerMax[2];
extern unsigned char  Sensor_MotorLoad[2],			SensorCalc_MotorLoadMax[2];
extern unsigned char  Sensor_Throttle[2];
extern   signed char  Sensor_AdvanceAngle[2];
extern   signed char  Sensor_Coolant_Temp[2],		SensorCalc_Coolant_TempMin[2],SensorCalc_Coolant_TempMax[2];
extern unsigned short Sensor_MotorResetTime;

// Luft
extern   signed char  Sensor_AirIntake_Temp[2],		SensorCalc_AirIntake_TempMin[2],SensorCalc_AirIntake_TempMax[2];
extern unsigned short Sensor_AirIntake_Press[2];
extern unsigned short Sensor_MassAirFlow[2];
extern   signed char  Sensor_O2Sensor1[2],			SensorCalc_O2Sensor1Min[2],SensorCalc_O2Sensor1Max[2];
extern   signed char  Sensor_O2Sensor2[2],			SensorCalc_O2Sensor2Min[2],SensorCalc_O2Sensor2Max[2];
extern unsigned short Sensor_LuftResetTime;

// Dynamik
extern unsigned char  Sensor_Speed[2],				SensorCalc_SpeedMax[2],SensorCalc_SpeedAvg[2];
extern unsigned long  Sensor_SpeedRaw,				SensorCalc_SpeedAvgRaw;
extern unsigned char  Sprint_TimeInS[2],			Sprint_TimeInS_Record[2];

// Batterie
extern unsigned char  Sensor_Voltage[2],			SensorCalc_VoltageMin[2],SensorCalc_VoltageMax[2];
extern unsigned char  Sensor_Voltage0Rpm[2],		SensorCalc_Voltage0RpmMin[2],SensorCalc_Voltage0RpmMax[2];
extern unsigned short Sensor_VoltageResetTime;

// Verbrauch & Tank
extern   signed short Sensor_FuelShortTrim[2];
extern   signed short Sensor_FuelLongTrim[2];
extern unsigned short SensorCalc_Verbrauch[2],		SensorCalc_VerbrauchAvg[2];
extern unsigned long  SensorCalc_VerbrauchRaw,		SensorCalc_VerbrauchAvgRaw;

// Uhrzeit, Datum
extern   signed char  Sensor_Time[3][2];
extern   signed char  Sensor_Date[3][2];

// Diagnose
extern unsigned char  Sensor_NumberDTCs[2];

// Fahrstatistik
extern unsigned char  Fahrstat_Index;
extern unsigned char  Fahrstat_Date[STATISTIC_MEMORY_SIZE][3][2];
extern unsigned short Fahrstat_MotorRpmMax[STATISTIC_MEMORY_SIZE][2];
extern unsigned short Fahrstat_MotorTorqueMax[STATISTIC_MEMORY_SIZE][2];
extern unsigned char  Fahrstat_MotorLoadMax[STATISTIC_MEMORY_SIZE][2];
extern unsigned short Fahrstat_MotorPowerMax[STATISTIC_MEMORY_SIZE][2];
extern unsigned char  Fahrstat_SpeedMax[STATISTIC_MEMORY_SIZE][2],Fahrstat_SpeedAvg[STATISTIC_MEMORY_SIZE][2];
extern unsigned long  Fahrstat_SpeedRaw,Fahrstat_SpeedAvgRaw;
extern unsigned short Fahrstat_VerbrauchAvg[STATISTIC_MEMORY_SIZE][2];
extern unsigned long  Fahrstat_VerbrauchRaw,Fahrstat_VerbrauchAvgRaw;
extern unsigned short Fahrstat_MotorRuntime[STATISTIC_MEMORY_SIZE][2];


//============================================================================
//				FUNCTION PROTOTYPES
//============================================================================

extern void Sensor_Statistic_ReadEeprom(void);
extern void Sensor_Statistic_WriteEeprom(void);
extern void Sensor_MaxValues_ReadEeprom(void);
extern void Sensor_MaxValues_WriteEeprom(void);





